// Author  Raivis Rampāns
// Created 25.03.2025
// Editor Raivis
// Modified 25.03.2025

document.addEventListener("DOMContentLoaded", function () {
    // Funkcija, kas tiek izsaukta, kad tiek izvēlēta jauna izlīdzināšanas opcija
    document.getElementById("alignSelect").addEventListener("change", function () {
        var alignValue = this.value;

        // Izmanto execCommand metodi, lai mainītu teksta izlīdzinājumu
        if (alignValue === "left") {
            document.execCommand("justifyLeft", false, null);
        } else if (alignValue === "center") {
            document.execCommand("justifyCenter", false, null);
        } else if (alignValue === "right") {
            document.execCommand("justifyRight", false, null);
        } else if (alignValue === "justify") {
            document.execCommand("justifyFull", false, null);
        }
    });
});